\documentclass[9pt,t,serif,professionalfont]{beamer}
\PassOptionsToPackage{pdfpagemode=FullScreen}{hyperref}
\PassOptionsToPackage{usenames,dvipsnames}{color}
\usepackage{../sty/present}
\usepackage{concmath-otf}
% \usepackage{unicode-math}
% \setmathfont{Concrete Math}
% \setmathfont{Concrete-Math-Regular.otf}[BoldFont=Concrete-Math-Bold.otf,CharacterVariant={10}]
\usepackage{../sty/calcii}

% Colors
% From https://color.adobe.com/ Fisher French Tomato, James Morris
\definecolor{Burgundy}{HTML}{8D001A}
\definecolor{GoldenImpression}{HTML}{FFF0CA}
\definecolor{ManiacMansion}{HTML}{00394F}
\definecolor{HazyRose}{HTML}{B29596}
\definecolor{KosherKhaki}{HTML}{8A897A}
\definecolor{UsualGray}{gray}{0.1}  % matches GoldenImpression
\setbeamercolor{frametitle}{fg=ManiacMansion,bg=white}
\setbeamercolor{part title}{fg=ManiacMansion,bg=white}
\setbeamercolor{itemize item}{fg=ManiacMansion}
\setbeamercolor{alerted text}{fg=Burgundy}

\setbeamerfont{frametitle}{size=\LARGE}
\setbeamertemplate{itemize item}{\color{ManiacMansion}$\blacktriangleright$}
\setbeamertemplate{description item}{\color{ManiacMansion}}
% \documentclass[9pt,t,serif,professionalfont]{beamer}
% \PassOptionsToPackage{pdfpagemode=FullScreen}{hyperref}
% \PassOptionsToPackage{usenames,dvipsnames}{color}
% \usepackage{../../presentation}
% % \usepackage{concmath-otf}
% % \setmathfont{Concrete-Math-Regular.otf}[BoldFont=Concrete-Math-Bold.otf]
% \definecolor{Burgundy}{HTML}{8D001A}
% \definecolor{ManiacMansion}{HTML}{00394F}
% \setbeamercolor{frametitle}{fg=ManiacMansion,bg=white}
% \setbeamercolor{part title}{fg=ManiacMansion,bg=white}
% \setbeamercolor{alerted text}{fg=Burgundy}

% \setbeamerfont{frametitle}{size=\LARGE}

\mode<presentation>
{
  \usetheme{boxes}
  \setbeamercovered{invisible}
  \setbeamertemplate{navigation symbols}{} 
}
% \addheadbox{filler}{\ }  % create extra space at top of slide 
%\setbeameroption{show notes}
% \setbeamertemplate{background canvas}[vertical shading][bottom=red!20,top=yellow!30]
\hypersetup{colorlinks=true,linkcolor=blue} 

\title{Section 7.1\hspace{1em}Integration By Parts}

\author{J Hef{}feron}
\institute{
  Mathematics and Statistics\\
  University of Vermont  % \\[1ex]
  % \texttt{James.Hefferon@uvm.edu}
}
\date{}

\usepackage{siunitx}

\begin{document}
\begin{frame}
  \titlepage
\end{frame}

%........................................................


\begin{frame}{Formula}
Recall the Product Rule.
\begin{align*}
  \frac{d\,u(x)\cdot v(x)}{dx}
    &=  u(x)\frac{d\,v(x)}{dx} + v(x)\frac{d\,u(x)}{dx}  \\
  \bigl( u(x)\cdot v(x)\bigr)'
    &=  u(x)v'(x) + v(x)u'(x)
\end{align*}
Rewrite as integrals
\begin{equation*}
  u(x)v(x) = \int u(x)v'(x) + v(x)u'(x)\,dx
           = \int u(x)v'(x)\,dx + \int v(x)u'(x)\,dx
\end{equation*}
and rearrange to get \alert{Integration By Parts}.
\begin{align*}
  \int u(x) v'(x)\,dx
    &=u(x)v(x)-\int v(x)u'(x)\,dx  \\
  \alert{\int u\,dv}
     &\alert{= uv-\int v\,du}
\end{align*}
This is the version for definite integrals.
\begin{equation*}
  \int_{x=a}^b u(x)\,dv
     = \Bigl. u(x)\cdot v(x) \Bigr|_{x=a}^b
       -\int_{x=a}^b v(x)\,du
\end{equation*}
\end{frame}


\begin{frame}
\Ex
Find $\int x e^x\,dx$.

\pause
Take $u(x)=x$ and $dv=e^x\,dx$.
\begin{center}
  \begin{tabular}{ll}
     $u=x$     &$du=\uncover<3->{dx}$  \\
     $v=\uncover<3->{e^x}$   &$dv=e^x\,dx$  \\
  \end{tabular}
\end{center}
\pause
The By Parts formula rewrites the expression to one that we know how
to integrate.
\begin{align*}
  \int u(x)\,dv
     &= u(x)\cdot v(x)-\int v(x)\,du  \\
  \int x\cdot e^x\,dx
     &= xe^x-\int e^x\,dx  \\
     &= xe^x-e^x+C  
\end{align*}
\end{frame}


\begin{frame}{Comments}
\begin{itemize}
\item In $xe^x$ there is a product, which hints at By Parts.

\item Contrast $\int xe^x\,dx$ with $\int xe^{x^2}\,dx$, which we do by 
Substitution.

% \item If we had instead chosen $u=e^x$ and $dv=x\,dx$ then we'd have found
% $du=e^x\,dx$ and $v=x^2/2$.
% That gives 
% \begin{equation*}
%   \integral{}{}{ xe^x }{x} = (1/2)x^2e^x-\integral{}{}{ x^2e^x }{x}
% \end{equation*}
% which we also don't know how to do.

% \pause
\item We went from $dv=e^x\,dx$ to $v=e^x$; why don't we need $e^x+C$?
Start with $\int u v'\,dx=uv-\int vu'\,dx$ and replace 
$v(x)$ with $v(x)+C$.
\begin{align*}
   &=u(x)\cdot (v(x)+C)-\int (v(x)+C)u'(x)\,du  \\
   &\qquad=u(x)\cdot v(x)+Cu(x)-\int v(x)u'(x)\,du-C\int u'(x)\,du  \\     
   &\qquad=u(x)\cdot v(x)+C\cdot u(x)-\int v(x)u'(x)\,du-C\cdot u(x)+K      
\end{align*}
The $C\cdot u(x)$'s cancel.
So we can use whatever antiderivative of $v(x)$ is most convenient.
\end{itemize}
\end{frame}



\begin{frame}{Practice}
Do each using By Parts.

\begin{enumerate}
\item {$\displaystyle \int x\sin x\,dx$}

\pause
\begin{center}
  \begin{tabular}{ll}
             $u=x$         &$du=\uncover<3->{dx}$  \\
             $v=\uncover<3->{-\cos x}$   &$dv=\sin x\,dx$  \\
  \end{tabular}
\end{center}
\begin{align*}
  \int u\,dv
     &= u\cdot v-\int v\,du  \\
  \int x\cdot \sin x\,dx
     &= -x\cos x-\int -\cos x\,dx  \\
     &= -x\cos x+\sin x+C  
\end{align*}


\pause
\item {$\displaystyle \int te^{5t}\,dt$}
\begin{center}
  \begin{tabular}{ll}
     $u=t$            &$du=\uncover<4->{dt}$  \\
     $v=\uncover<4->{(1/5)e^{5t}}$   &$dv=e^{5t}\,dt$  \\
  \end{tabular}
\end{center}
\pause
\begin{align*}
  \int t\cdot e^{5t}\,dt
     &= (1/5)te^{5t}-\int (1/5)e^{5t}\,dt  \\
     &= (1/5)te^{5t}-(1/25)e^{5t}+C  
\end{align*}
\end{enumerate}
\end{frame}



% ========================================
\section{Variations}

\begin{frame}{Definite integral}
\Ex $\displaystyle \int_1^2 w\cdot\cos 2w\,dw$  
\pause
\begin{center}
  \begin{tabular}{ll}
     $u=w$              &$du=\uncover<3->{dw}$  \\
     $v=\uncover<3->{(1/2)\sin 2w}$    &$dv=\cos 2w\,dw$  \\
  \end{tabular}
\end{center}
\only<3->{
\begin{align*}
  \int u\,dv
     &= u\cdot v-\int v\,du  \\
  \int_1^2 w\cdot \cos 2w\,dw
     &= \Bigl[(1/2)w\sin 2w\Bigr]_1^2  +(1/2)\integral{1}{2}{ \sin 2w }{w}  \\
     &= \Bigl[(1/2)w\sin 2w\Bigr]_1^2  +\Bigl[-(1/4)\cos 2w\Bigr]_1^2  \\
     &= \frac{1}{2}\bigl( 2\sin 4-\sin 2\bigr)
       -\frac{1}{4}\bigl( \cos 4-\cos 2 \bigr) 
\end{align*}
}
\end{frame}



\begin{frame}{Taking $dv$ to be $dx$}
\Ex $\displaystyle \integral{}{}{ \ln x }{x}$  
\pause
\begin{center}
  \begin{tabular}{ll}
     $u=\ln x$   &$du=\uncover<3->{1/x\,dx}$  \\
     $v=\uncover<3->{x}$       &$dv=dx$  \\
  \end{tabular}
\end{center}
\only<3->{
\begin{align*}
  \int u\,dv
     &= u\cdot v-\int v\,du  \\
  \int \ln x\,dx
     &= x\ln x-\int x(1/x)\,dx  \\
     &= x\ln x-\int 1\,dx  \\
     &= x\ln x-x+C
\end{align*}
}
\end{frame}


\begin{frame}{Iterating}
\Ex $\displaystyle \int x^2e^x\,dx$  

\pause
\begin{center}
  \begin{tabular}{ll}
     $u=x^2$     &$du=\uncover<3->{2x\, dx}$  \\
     $v=\uncover<3->{e^x}$     &$dv=e^x\,dx$  \\
  \end{tabular}
\end{center}
\only<3->{
\begin{align*}
  \int u\,dv
     &= u\cdot v-\int v\,du  \\
  \int x^2\cdot e^x\,dx
     &= x^2e^x-\int 2xe^x\,dx    
\end{align*}
}

\pause
We are left with an integral that we know how to do.
\begin{center}
  \begin{tabular}{ll}
     $u=2x$     &$du=\uncover<4->{2\, dx}$  \\
     $v=\uncover<4->{e^x}$     &$dv=e^x\,dx$  \\
  \end{tabular}
\end{center}
\pause
\begin{align*}
     \qquad &= x^2e^x-\biggl[2xe^x-\int 2e^x\,dx \biggr] \\    
     &= x^2e^x-2xe^x+2e^x+C     
\end{align*}
\end{frame}

\begin{frame}{Iterate around in a circle}
\Ex $\displaystyle \int e^{2x}\sin x\,dx$
\pause
\begin{center}
  \begin{tabular}{ll}
     $u=e^{2x}$     &$du=\uncover<3->{2e^{2x}\, dx}$  \\
     $v=\uncover<3->{-\cos x}$     &$dv=\sin x\,dx$  \\
  \end{tabular}
\end{center}
\only<3->{
\begin{equation*}
  \int e^{2x}\sin x\,dx
     = -e^{2x}\cos x+2\int e^{2x}\cos x\,dx    
\end{equation*}
}
\pause
\begin{center}
  \begin{tabular}{ll}
     $u=e^{2x}$     &$du=\uncover<4->{2e^{2x}\, dx}$  \\
     $v=\uncover<4->{\sin x}$     &$dv=\cos x\,dx$  \\
  \end{tabular}
\end{center}
\begin{align*}
\only<4->{
  \int e^{2x}\sin x\,dx
     &= -e^{2x}\cos x+2\biggl[ e^{2x}\sin x-2\int e^{2x}\sin x\,dx\biggr] \\    
     &= -e^{2x}\cos x+2e^{2x}\sin x-4\int e^{2x}\sin x\,dx \\
}
\end{align*}
\only<5->{
Add $4\integral{}{}{ e^{2x}\sin x }{x}$ to both sides.
\begin{equation*}
     5\int e^{2x}\sin x\,dx    
     = -e^{2x}\cos x+2e^{2x}\sin x+C     
\end{equation*}
}
\end{frame}


\begin{frame}{Practice}
\begin{enumerate}
\item  $\displaystyle \integral{}{}{ ye^{-y}}{y}$ 
\item  $\displaystyle \int \frac{\ln x}{x^2}\,dx$ 
\item  $\displaystyle \integral{\theta=0}{1/2}{ \theta \sin(3\pi\theta) }{\theta}$ 
\item  $\displaystyle \int \tan^{-1}x\,dx$
  \quad \textit{Hint:}~take $dv=dx$. 
\end{enumerate}
\end{frame}



\end{document}
%
% These lines tells gnu-emacs to typeset with the luatex engine
% which requires Unicode encoding only (utf-8)
% ^c^t^s for toggling synctex. 
% ^-Shift-Click to move from pdf to source, Command-Shift-Click on OSX
%%% Local Variables:
%%% mode: latex
%%% TeX-engine: luatex
%%% TeX-source-correlate-method-active: synctex
%%% coding: utf-8
%%% End:
